Bug 98990 - [SKL] Oops when turning second external DP monitor off
Summary: [SKL] Oops when turning second external DP monitor off
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-04 20:48 UTC by Pierre Bossart
Modified: 2017-02-15 09:54 UTC (History)
2 users (show)

See Also:
i915 platform: BXT, KBL, SKL
i915 features: display/DP MST


Attachments
kernel oops on fedora 24 v4.8.8 (4.94 KB, text/plain)
2016-12-04 20:48 UTC, Pierre Bossart
no flags Details
dmesg w/ drm-intel-nightly from 12/2 with drm.debug=0x1e (1.04 MB, text/plain)
2016-12-04 23:44 UTC, Pierre Bossart
no flags Details
Suggested patch removes oops (2.06 KB, patch)
2016-12-05 01:22 UTC, Pierre Bossart
no flags Details | Splinter Review
patch v2 based on Chris Wilson's suggestion (2.06 KB, patch)
2016-12-05 21:50 UTC, Pierre Bossart
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre Bossart 2016-12-04 20:48:36 UTC
Created attachment 128335 [details]
kernel oops on fedora 24 v4.8.8

On SKL SkullCanyon NUC, turning off or changing input of second DP external monitor results in a kernel Oops reproducible 100% of the time.

initial dmesg output captured over ssh attached, will run with latest drm/drm-intel-nightly later and add more information.
Comment 1 Pierre Bossart 2016-12-04 23:43:25 UTC
Bug confirmed with drm-intel-nightly w/ Friday 12/2 code, see dmesg with drm.debug=0x1e attached.
Comment 2 Pierre Bossart 2016-12-04 23:44:33 UTC
Created attachment 128336 [details]
dmesg w/ drm-intel-nightly from 12/2 with drm.debug=0x1e
Comment 3 Pierre Bossart 2016-12-05 01:22:20 UTC
Created attachment 128339 [details] [review]
Suggested patch removes oops
Comment 4 yann 2016-12-05 07:06:46 UTC
Reference to Pierre's patch: https://patchwork.freedesktop.org/series/16337/
Comment 5 Pierre Bossart 2016-12-05 21:50:54 UTC
Created attachment 128349 [details] [review]
patch v2 based on Chris Wilson's suggestion
Comment 6 nathan.d.ciobanu 2017-01-25 23:30:28 UTC
I tested the patch and it fixed the bug.
Comment 7 Radhakrishna Sripada 2017-02-13 22:42:19 UTC
Thr patch mentioned in comment 5 fixes a skylake regression in ChromeOS. 
Can this patch be reviewed and merged?
Comment 8 Jani Nikula 2017-02-15 09:54:04 UTC
drm-misc-fixes

commit bb08c04dc867b5f392caec635c097d5d5fcd8c9f
Author: Pierre-Louis Bossart <pierre-louis.bossart@linux.intel.com>
Date:   Tue Feb 14 14:49:21 2017 +0200

    drm/dp/mst: fix kernel oops when turning off secondary monitor


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.